<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');
$routes->get('/wp/', 'Dengine::index');
$routes->get('/merms/wp/', 'Merms::index');

//CHIEFSOFT WEBSITE
$routes->get('/chiefsoft/site/blogdata', 'Chiefsoft::blogdata');  // when no limit is sent
$routes->post('/chiefsoft/site/contact', 'Chiefsoft::contact');

//MERMS MYFIT 
$routes->get('/en/desktop/api/v2/myfit/country', 'Myfit::country');
$routes->get('/en/desktop/api/v2/myfit/blogdata/(:any)', 'Myfit::blogdata/$1');
$routes->get('/en/desktop/api/v2/myfit/blogdata', 'Myfit::blogdata');  // when no limit is sent
$routes->get('/en/desktop/api/v2/myfit/faq', 'Myfit::faq');
$routes->post('/en/desktop/api/v2/myfit/contact', 'Myfit::contact');
$routes->get('/en/desktop/api/v2/myfit/pricing', 'Myfit::pricing');
   
//MYFIT USERS  
$routes->post('/en/desktop/api/v2/myfituser/login', 'Myfituser::users');
$routes->post('/en/desktop/api/v2/myfituser/account', 'Myfituser::users');

$routes->get('/en/desktop/api/v2/myfituser/profile', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/myfeed', 'Myfituser::users');

/*
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/country    GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/blogdata/7 GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/contact    POST
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/pricing    GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/faq        GET
*/


/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
